%define major 1
%define libname	%mklibname keccak %{major}
%define devname	%mklibname keccak -d

%bcond_without check

Name:		libkeccak
Summary:	Keccak-family hashing library
Version:	1.4.1
Release:	%mkrel 1
License:	ISC
Group:		System/Libraries
Url:		https://codeberg.org/maandree/libkeccak
Source0:	https://codeberg.org/maandree/libkeccak/archive/%{version}.tar.gz#/libkeccak-%{version}.tar.gz
%if %{with check}
BuildRequires:	valgrind
%endif

%description
libkeccak is a bit-oriented lanewise implementation of
the Keccak-family with support for extend output size,
state marshalling, algorithm tuning with implicit parameters,
secure erasure of sensitive data, and HMAC.

%package -n %{libname}
Summary:	Keccak-family hashing library
Group:		System/Libraries

%description -n %{libname}
libkeccak is a bit-oriented lanewise implementation of
the Keccak-family with support for extend output size,
state marshalling, algorithm tuning with implicit parameters,
secure erasure of sensitive data, and HMAC.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%autosetup -n %{name}

# fix libdir
sed -i -e 's,$(PREFIX)/lib,%{_libdir},g' Makefile

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}" LDOPTIMISE=""

%install
%make_install PREFIX=%{_prefix}

# we don't want these
find %{buildroot} -name "*.a" -delete

rm -rf %{buildroot}%{_datadir}/licenses/%{name}

%if %{with check}
%check
make check
%endif

%files -n %{libname}
%license LICENSE
%{_libdir}/libkeccak.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/libkeccak*.h
%{_libdir}/libkeccak.so
%{_mandir}/man?/libkeccak*


%changelog
* Sat Sep 28 2024 daviddavid <daviddavid> 1.4.1-1.mga10
+ Revision: 2101888
- new version: 1.4.1

* Thu Mar 31 2022 umeabot <umeabot> 1.2-3.mga9
+ Revision: 1837626
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.2-2.mga8
+ Revision: 1523094
- Mageia 8 Mass Rebuild

* Tue Feb 19 2019 wally <wally> 1.2-1.mga7
+ Revision: 1368556
- imported package libkeccak

